ContentStreamUpdateRequest (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.request.ContentStreamUpdateRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.request
Class ContentStreamUpdateRequest

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.AbstractUpdateRequest
              org.apache.solr.client.solrj.request.ContentStreamUpdateRequest

All Implemented Interfaces:
  Serializable

    public class ContentStreamUpdateRequest

extends AbstractUpdateRequest

Basic functionality to upload a File or `ContentStream` to a Solr Cell or some other handler that takes ContentStreams (CSV)

See http://wiki.apache.org/solr/ExtractingRequestHandler
See http://wiki.apache.org/solr/UpdateCSV

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest
`AbstractUpdateRequest.ACTION`

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Field Summary

Fields inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest
`commitWithin, params`

Constructor Summary
`ContentStreamUpdateRequest(String url)`

Method Summary
`void` | `addContentStream(ContentStream contentStream)` Add a `ContentStream` to `getContentStreams()`
`void` | `addFile(File file)` Add a File to the `ContentStream`s.
`Collection<ContentStream>` | `getContentStreams()`

Methods inherited from class org.apache.solr.client.solrj.request.AbstractUpdateRequest
`getAction, getCommitWithin, getParams, isWaitFlush, isWaitSearcher, process, rollback, setAction, setAction, setAction, setCommitWithin, setParam, setParams, setWaitFlush, setWaitSearcher`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getPath, getResponseParser, setMethod, setPath, setResponseParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentStreamUpdateRequest

    public ContentStreamUpdateRequest(String url)

Parameters:
  `url` - The URL to send the `ContentStream` to in Solr.

Method Detail

### getContentStreams

    public Collection<ContentStream> getContentStreams()
                                                throws IOException

  Specified by:
    `getContentStreams` in class `SolrRequest`
  Throws:
    `IOException`

### addFile

    public void addFile(File file)
                 throws IOException

  Add a File to the `ContentStream`s.

  Parameters:
    `file` - The File to add.
  Throws:
    `IOException` - if there was an error with the file.
  See Also:
    `getContentStreams()`, `ContentStreamBase.FileStream`

### addContentStream

    public void addContentStream(ContentStream contentStream)

  Add a `ContentStream` to `getContentStreams()`

  Parameters:
    `contentStream` - The `ContentStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD